        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE CHARAA__genmod
          INTERFACE 
            SUBROUTINE CHARAA(XL,ML,XR,YR,THR,MR,XN,YN,THN,MN,NIT,ID,G)
              REAL(KIND=4) :: XL
              REAL(KIND=4) :: ML
              REAL(KIND=4) :: XR
              REAL(KIND=4) :: YR
              REAL(KIND=4) :: THR
              REAL(KIND=4) :: MR
              REAL(KIND=4) :: XN
              REAL(KIND=4) :: YN
              REAL(KIND=4) :: THN
              REAL(KIND=4) :: MN
              INTEGER(KIND=4) :: NIT
              INTEGER(KIND=4) :: ID
              REAL(KIND=4) :: G
            END SUBROUTINE CHARAA
          END INTERFACE 
        END MODULE CHARAA__genmod
